Loading...
Searching...
No Matches
Dune::cpgrid::IndexSet Class Reference

`#include <Indexsets.hpp>`

## Classes

struct | Codim
| Export supported entity types. More...

## Public Types

typedef std::int64_t | IndexType
typedef std::vector< GeometryType > | Types

## Public Member Functions

| IndexSet ()
| IndexSet (std::size_t numCells, std::size_t numPoints)
| ~IndexSet ()
| Destructor.
const Types & | geomTypes (int codim) const
const Types & | types (int codim) const
int | size (GeometryType type) const
int | size (int codim) const
template<int cd>
IndexType | index (const cpgrid::Entity< cd > &e) const
template<class EntityType>
IndexType | index (const EntityType &e) const
template<int cc>
IndexType | subIndex (const cpgrid::Entity< 0 > &e, int i) const
IndexType | subIndex (const cpgrid::Entity< 0 > &e, int i, unsigned int cc) const
template<int codim>
IndexType | subIndex (const cpgrid::Entity< codim > &, int, unsigned int) const
template<class EntityType>
bool | contains (const EntityType &e) const

## Static Public Attributes

static constexpr int | dimension = 3

## Detailed Description

Todo
  Doc me!

Template Parameters

## Member Typedef Documentation

## IndexType

typedef std::int64_t Dune::cpgrid::IndexSet::IndexType

Todo
  Doc me!

## Types

typedef std::vector<GeometryType> Dune::cpgrid::IndexSet::Types

Todo
  Doc me!

## Constructor & Destructor Documentation

## IndexSet()

Dune::cpgrid::IndexSet::IndexSet | ( |  | ) |

inline

Todo
  Doc me!

Parameters

## Member Function Documentation

## contains()

template<class EntityType>

bool Dune::cpgrid::IndexSet::contains | ( | const EntityType & | e | ) | const

inline

Todo
  Doc me!

Template Parameters

return

Parameters

## geomTypes()

const Types & Dune::cpgrid::IndexSet::geomTypes | ( | int | codim | ) | const

inline

Todo
  Doc me!

Parameters

return

## index() [1/2]

template<int cd>

IndexType Dune::cpgrid::IndexSet::index | ( | const cpgrid::Entity< cd > & | e | ) | const

inline

Todo
  Doc me!

Template Parameters

return

Parameters

## index() [2/2]

template<class EntityType>

IndexType Dune::cpgrid::IndexSet::index | ( | const EntityType & | e | ) | const

inline

Todo
  Doc me!

Template Parameters

return

Parameters

## size() [1/2]

int Dune::cpgrid::IndexSet::size | ( | GeometryType | type | ) | const

inline

Todo
  Doc me!

Parameters

return

## size() [2/2]

int Dune::cpgrid::IndexSet::size | ( | int | codim | ) | const

inline

Todo
  Doc me!

Parameters

return

## subIndex() [1/2]

template<int cc>

IndexType Dune::cpgrid::IndexSet::subIndex | ( | const cpgrid::Entity< 0 > & | e,
|  | int | i ) const

inline

Todo
  Doc me!

Template Parameters

return

Parameters

## subIndex() [2/2]

IndexSet::IndexType IndexSet::subIndex | ( | const cpgrid::Entity< 0 > & | e,
|  | int | i,
|  | unsigned int | cc ) const

Todo
  Doc me!

Template Parameters

return

Parameters

## types()

const Types & Dune::cpgrid::IndexSet::types | ( | int | codim | ) | const

inline

Todo
  Doc me!

Parameters

return

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Indexsets.hpp
- opm/grid/cpgrid/Indexsets.cpp